Skip to main content
`Ctrl`+`K`

# skbio.tree.TreeNode.from_linkage_matrix

classmethod TreeNode.from_linkage_matrix(linkage_matrix, id_list)

  Return tree from SciPy linkage matrix.

  Parameters:
    linkage_matrix ndarray

      A linkage matrix generated by `scipy.cluster.hierarchy.linkage`.

    id_list list

      Corresponding IDs of the indices in the linkage matrix.

  Returns:
    TreeNode

      An unrooted bifurcated tree.

  See also

  `scipy.cluster.hierarchy.linkage`